Loading...
Searching...
No Matches
juce::RelativeCoordinatePositionerBase::ComponentScope Class Reference

## Detailed Description

Used for resolving a RelativeCoordinate expression in the context of a component.

The documentation for this class was generated from the following file:

- juce_gui_basics/positioning/juce_RelativeCoordinatePositioner.h

Inheritance diagram for juce::RelativeCoordinatePositionerBase::ComponentScope:

## Public Member Functions

| ComponentScope (Component &)
Expression | getSymbolValue (const String &symbol) const override
| Returns the value of a symbol.
void | visitRelativeScope (const String &scopeName, Visitor &) const override
| Creates a Scope object for a named scope, and then calls a visitor to do some kind of processing with this new scope.
String | getScopeUID () const override
| Returns some kind of globally unique ID that identifies this scope.
Public Member Functions inherited from juce::Expression::Scope
| Scope ()
virtual | ~Scope ()
virtual double | evaluateFunction (const String &functionName, const double *parameters, int numParameters) const
| Executes a named function.

## Protected Member Functions

Component * | findSiblingComponent (const String &componentID) const

## Protected Attributes

Component & | component

## Constructors and Destructors

## ComponentScope()

juce::RelativeCoordinatePositionerBase::ComponentScope::ComponentScope | ( | Component & |  | ) |

## Member Functions

## getSymbolValue()

Expression juce::RelativeCoordinatePositionerBase::ComponentScope::getSymbolValue | ( | const String & | symbol | ) | const

override virtual

Returns the value of a symbol.

If the symbol is unknown, this can throw an Expression::EvaluationError exception. The member value is set to the part of the symbol that followed the dot, if there is one, e.g. for "foo.bar", symbol = "foo" and member = "bar".

Exceptions

  Expression::EvaluationError |

Reimplemented from juce::Expression::Scope.

## visitRelativeScope()

void juce::RelativeCoordinatePositionerBase::ComponentScope::visitRelativeScope | ( | const String & | scopeName,
|  | Visitor & | visitor ) const

override virtual

Creates a Scope object for a named scope, and then calls a visitor to do some kind of processing with this new scope.

If the name is valid, this method must create a suitable (temporary) Scope object to represent it, and must call the Visitor::visit() method with this new scope.

Reimplemented from juce::Expression::Scope.

## getScopeUID()

String juce::RelativeCoordinatePositionerBase::ComponentScope::getScopeUID | ( |  | ) | const

override virtual

Returns some kind of globally unique ID that identifies this scope.

Reimplemented from juce::Expression::Scope.

## findSiblingComponent()

Component * juce::RelativeCoordinatePositionerBase::ComponentScope::findSiblingComponent | ( | const String & | componentID | ) | const

protected

## Member Data Documentation

## component

Component& juce::RelativeCoordinatePositionerBase::ComponentScope::component

protected

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited